org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTSERIALRECEIVERSSCNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTSERIALRECEIVERSSCNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTSERIALRECEIVERSSCNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTSERIALRECEIVERSSCNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTSERIALRECEIVERSSCNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindBaudrate(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindConcatenate(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindConcatenateduration(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindConcatenateseparator(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindDatabits(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindParity(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindSerialport(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindStopbits(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `bindTerminator(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setActionListener(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setAvoidvalidations(boolean value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setBaudrate(int value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setBaudrate(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setComment(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setConcatenate(boolean value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setConcatenate(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setConcatenateduration(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setConcatenateseparator(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setDatabits(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setId(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setParity(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setReference(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setRendered(boolean value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setRendered(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setSerialport(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setStatusbarneutral(boolean value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setStatusbarneutral(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setStopbits(java.lang.String value)`
    `CLIENTSERIALRECEIVERSSCNode` | `setTerminator(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTSERIALRECEIVERSSCNode

          public CLIENTSERIALRECEIVERSSCNode()

  - ### Method Detail

    - #### setId

          public CLIENTSERIALRECEIVERSSCNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTSERIALRECEIVERSSCNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTSERIALRECEIVERSSCNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTSERIALRECEIVERSSCNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTSERIALRECEIVERSSCNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTSERIALRECEIVERSSCNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTSERIALRECEIVERSSCNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTSERIALRECEIVERSSCNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTSERIALRECEIVERSSCNode setAvoidvalidations(boolean value)

    - #### setBaudrate

          public CLIENTSERIALRECEIVERSSCNode setBaudrate(java.lang.String value)

    - #### bindBaudrate

          public CLIENTSERIALRECEIVERSSCNode bindBaudrate(IDynamicContentBindingObject value)

    - #### setBaudrate

          public CLIENTSERIALRECEIVERSSCNode setBaudrate(int value)

    - #### setComment

          public CLIENTSERIALRECEIVERSSCNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTSERIALRECEIVERSSCNode bindComment(IDynamicContentBindingObject value)

    - #### setConcatenate

          public CLIENTSERIALRECEIVERSSCNode setConcatenate(java.lang.String value)

    - #### bindConcatenate

          public CLIENTSERIALRECEIVERSSCNode bindConcatenate(IDynamicContentBindingObject value)

    - #### setConcatenate

          public CLIENTSERIALRECEIVERSSCNode setConcatenate(boolean value)

    - #### setConcatenateduration

          public CLIENTSERIALRECEIVERSSCNode setConcatenateduration(java.lang.String value)

    - #### bindConcatenateduration

          public CLIENTSERIALRECEIVERSSCNode bindConcatenateduration(IDynamicContentBindingObject value)

    - #### setConcatenateseparator

          public CLIENTSERIALRECEIVERSSCNode setConcatenateseparator(java.lang.String value)

    - #### bindConcatenateseparator

          public CLIENTSERIALRECEIVERSSCNode bindConcatenateseparator(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTSERIALRECEIVERSSCNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTSERIALRECEIVERSSCNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDatabits

          public CLIENTSERIALRECEIVERSSCNode setDatabits(java.lang.String value)

    - #### bindDatabits

          public CLIENTSERIALRECEIVERSSCNode bindDatabits(IDynamicContentBindingObject value)

    - #### setParity

          public CLIENTSERIALRECEIVERSSCNode setParity(java.lang.String value)

    - #### bindParity

          public CLIENTSERIALRECEIVERSSCNode bindParity(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTSERIALRECEIVERSSCNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTSERIALRECEIVERSSCNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTSERIALRECEIVERSSCNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTSERIALRECEIVERSSCNode setRendered(boolean value)

    - #### setSerialport

          public CLIENTSERIALRECEIVERSSCNode setSerialport(java.lang.String value)

    - #### bindSerialport

          public CLIENTSERIALRECEIVERSSCNode bindSerialport(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSERIALRECEIVERSSCNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTSERIALRECEIVERSSCNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSERIALRECEIVERSSCNode setStatusbarneutral(boolean value)

    - #### setStopbits

          public CLIENTSERIALRECEIVERSSCNode setStopbits(java.lang.String value)

    - #### bindStopbits

          public CLIENTSERIALRECEIVERSSCNode bindStopbits(IDynamicContentBindingObject value)

    - #### setTerminator

          public CLIENTSERIALRECEIVERSSCNode setTerminator(java.lang.String value)

    - #### bindTerminator

          public CLIENTSERIALRECEIVERSSCNode bindTerminator(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.